% This piece of code is used to illusterate the  minimized load
% profile in a single-24 hour plot by reading the models's ouputs from the relevent Excel file (the output of the model is originally in the form of two consecutive
%24 hours)
function FuncPlottingInSingle24hourFormat(FileName)
Data= readmatrix(FileName,'Sheet','Sheet2');
N=numel(Data(:,1));
TimeIndex=1:N;
X_Data=(1/3600*TimeIndex(1:86400));
Y_Data1=Data(86401:end); % the first part of 24 hour
Y_Data2=Data(1:86400);   % the second part of 24 hour 
Total_Y=Y_Data1+Y_Data2;
figure()
plot(X_Data,Total_Y,'color','blue','linewidth',2.4);% plotting total
xlabel('Time (hr)')
ylabel('Demand (kW)')