% This fucntion reads the fleet's demand from the excel file, where the
% simulation outputs are kept and plots them
function P = FuncReadTotalDemand(FileName,VehicleLoadXaxis)
 TotalDemand=readmatrix(FileName,'Sheet',2,'Range','A2:A172801');
figure();
Pt1=plot(VehicleLoadXaxis, TotalDemand,'blue','linewidth',2.4);
Axistime = 0:48; 
time_wrap = mod(Axistime,24);
set(gca, 'XTick',Axistime(1:3:end), 'XTickLabel',time_wrap(1:3:end))