% this piece of code just stores the found minimised time slots in Excell
% sheet
function FuncStoreMinPriceTimeSlots(FileName, FleetSize, MinimisedTimeSlots, PowerAvailablility) 
% FileName01=FileName;
 FleetSize01=FleetSize;
% MinimisedTimeSlots01=MinimisedTimeSlots';
% PowerAvailablility01;PowerAvailablility';
    for Vehicle=1:FleetSize01
        VehicleName = strcat( 'Vehicle_',num2str(Vehicle) );
        Alphabet = reshape('A':'Z',[],1);
        Column = num2cell(Alphabet(1+rem(Vehicle-1,26)));
        v = fix((Vehicle-1)/26);
        while any(v), Column(v>0) = strcat(Alphabet(1+rem(v(v>0)-1,26)),Column(v>0)); v = fix((v-1)/26); end
        Column=Column{1}    
        writematrix(VehicleName,FileName,'Sheet',4,'Range',[Column,num2str(1)]) % Writes the header for order-based time slots
        writematrix(VehicleName,FileName,'Sheet',5,'Range',[Column,num2str(1)]) % Writes the header for Sorted Time Slots
        writematrix(VehicleName,FileName,'Sheet',6,'Range',[Column,num2str(1)]) % Writes the header for availabe power
        writematrix(MinimisedTimeSlots{Vehicle}',FileName,'Sheet',4,'Range',[Column,num2str(2)]);
        writematrix(sort(MinimisedTimeSlots{Vehicle}'),FileName,'Sheet',5,'Range',[Column,num2str(2)]);
        writematrix(PowerAvailablility{Vehicle}',FileName,'Sheet',6,'Range',[Column,num2str(2)]);        
    end    
end