function  [MinimisedTimeSlots, PowerAvailablility]=FuncPriceMinimizing(FleetSize01,FleetRequiredEnergy01,ChargingPower01,DepotLimit01,DayStartTime01,DayEndTime01)
FleetSize=FleetSize01;
DayStartTime=DayStartTime01; 
DayEndTime=DayEndTime01; 
ChargingPower=ChargingPower01;
FleetRequiredEnergy=FleetRequiredEnergy01;
PriceData=readmatrix('ElectricityPrices.csv'); % Loads the prices from  'ElectricityPrices.csv'
DepotLimit=DepotLimit01;      
FleetRequiredTimeSlots=floor(2*(FleetRequiredEnergy./ChargingPower))+1; %the number of time slosts required for the charing of the vehcile     
%************** Available Power *******************************************
PowerAvailable=DepotLimit*ones(1,96); % initial available power in each time slots at the begining of minimization
for ii=1:FleetSize
Prices=PriceData;
% for each vehicle
 Range =DayStartTime:DayEndTime;
 MinPriceIndex=[];
 MinPriceValues=[];
 Counter=FleetRequiredTimeSlots(ii)
 while Counter >0                     
       PriceSubSet = Prices(Range)    
       [MinPriceValue, index]=min(PriceSubSet);
       org_index= Range(index);
       if PowerAvailable(org_index)>0
           MinPriceIndex=[MinPriceIndex org_index]
           MinPriceValues=[MinPriceValues MinPriceValue];
           Prices(org_index)=inf;
           PowerAvailable(org_index)=PowerAvailable(org_index)-ChargingPower
           Counter=Counter-1;
       else
          Prices(org_index)=inf;
       end
 end
 Forlooping=ii; 
 MinimisedTimeSlots01{ii}= MinPriceIndex;
 PowerAvailablility01{ii}=PowerAvailable
end 
MinimisedTimeSlots=MinimisedTimeSlots01;
PowerAvailablility=PowerAvailablility01;
end       